## python3-defaults 3.8.2-0ubuntu1

=== debian/changelog ===
python3-defaults (3.8.2-0ubuntu1) focal; urgency=medium

  * Bump version to 3.8.2.
  * Bump standards version.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Feb 2020 14:01:25 +0100

python3-defaults (3.8.0-3ubuntu1) focal; urgency=medium

  * Drop Python 3.7 as a supported Python3 version.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:06:53 +0100

python3-defaults (3.8.0-3) experimental; urgency=medium

  * Drop the symlinks with the m modifier.

 -- Matthias Klose <doko@debian.org>  Sun, 15 Dec 2019 13:49:16 +0100

python3-defaults (3.8.0-2) experimental; urgency=medium

  * Bump the defaults version in the python_defaults file as well-

 -- Matthias Klose <doko@debian.org>  Tue, 26 Nov 2019 17:31:54 +0100

python3-defaults (3.8.0-1) experimental; urgency=medium

  * Default python3 version to 3.8.
  * python3-dbg: Provide a python3-dbg-embed.pc pkg-config file.
  * Move the pkg-config files into libpython3-dev and libpython3-dbg.

 -- Matthias Klose <doko@debian.org>  Mon, 25 Nov 2019 12:38:19 +0100

python3-defaults (3.7.5-3) unstable; urgency=medium

  [ Matthias Klose ]
  * Update the Python policy for the Python2 removal (Neil Williams).
    Closes: #943666.
  * Prepare to ship the python*-embed pkg-config files with 3.8 as the
    default Python3 version.

  [ Piotr Ożarowski ]
  * Remove dh-python dependency from python3-all and python3-dev packages.
    Packages should build depend on dh-python or dh-sequence-python3 instead.

 -- Matthias Klose <doko@debian.org>  Thu, 14 Nov 2019 15:13:23 +0100

python3-defaults (3.7.5-2) experimental; urgency=medium

  * Add 3.8 as a supported Python3 versions.

 -- Matthias Klose <doko@debian.org>  Sun, 20 Oct 2019 11:41:55 +0200
