=== debian/control ===
Source: python3-defaults
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
Uploaders: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.17.11), python3.8:any (>= 3.8.2-1~),
  lsb-release,
  python3-minimal:any,
  python3-docutils,
  docbook-xml,
  docbook-xsl,
  w3m,
  xsltproc,
Standards-Version: 4.5.0
Homepage: https://www.python.org/
Vcs-Git: https://salsa.debian.org/cpython-team/python3-defaults.git
Vcs-Browser: https://salsa.debian.org/cpython-team/python3-defaults

Package: python3
Architecture: any
Multi-Arch: allowed
Pre-Depends: python3-minimal (= ${binary:Version})
Depends: python3.8 (>= 3.8.2-1~), libpython3-stdlib (= ${binary:Version}), ${misc:Depends}
Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= 3.8.2-1~) , python3-venv (>= ${binary:Version})
Replaces: python3-minimal (<< 3.1.2-2)
Provides: python3-profiler
Description: interactive high-level object-oriented language (default python3 version)
 Python, the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.8).
XB-Cnf-Extra-Commands: python
XB-Cnf-Priority-Bonus: 5

Package: python3-venv
Architecture: any
Multi-Arch: allowed
Depends: python3.8-venv (>= 3.8.2-1~), python3 (= ${binary:Version}),
  python3-distutils (>= 3.8.2-1~), ${misc:Depends}
Description: pyvenv-3 binary for python3 (default python3 version)
 Python, the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.8).

Package: python3-minimal
Architecture: any
Multi-Arch: allowed
Pre-Depends: python3.8-minimal (>= 3.8.2-1~)
Depends: dpkg (>= 1.13.20), ${misc:Depends}
Description: minimal subset of the Python language (default python3 version)
 This package contains the interpreter and some essential modules.  It's used
 in the boot process for some basic tasks.
 See /usr/share/doc/python3.8-minimal/README.Debian for a list of the modules
 contained in this package.
Cnf-Visible-Pkgname: python3

Package: python3-examples
Architecture: all
Multi-Arch: foreign
Depends: python3 (>= ${binary:Version}), python3.8-examples (>= 3.8.2-1~), ${misc:Depends}
Description: examples for the Python language (default version)
 Examples, Demos and Tools for Python. These are files included in
 the upstream Python distribution.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.8).

Package: python3-dev
Architecture: any
Multi-Arch: allowed
Depends: python3 (= ${binary:Version}), libpython3-dev (= ${binary:Version}),
  python3.8-dev (>= 3.8.2-1~), python3-distutils (>= 3.8.2-1~),
  ${misc:Depends}
Replaces: python3.1 (<< 3.1.2+20100706-3)
Description: header files and a static library for Python (default)
 Header files, a static library and development tools for building
 Python modules, extending the Python interpreter or embedding Python
 in applications.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.8).

Package: libpython3-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libpython3.8-dev (>= 3.8.2-1~), ${misc:Depends}
Breaks: libpython3.8-dev (<< 3.8.0-2), python3-dev (<< 3.8.0-1)
Replaces: libpython3.8-dev (<< 3.8.0-2), python3-dev (<< 3.8.0-1)
Description: header files and a static library for Python (default)
 Header files, a static library and development tools for building
 Python modules, extending the Python interpreter or embedding Python
 in applications.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.8).

Package: libpython3-stdlib
Architecture: any
Multi-Arch: same
Depends: libpython3.8-stdlib (>= 3.8.2-1~), ${misc:Depends}
Description: interactive high-level object-oriented language (default python3 version)
 Python, the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.8).

Package: idle
Architecture: all
Depends: python3 (>= ${binary:Version}), python3-tk, ${misc:Depends}, idle-python3.8
Enhances: python3
Breaks: idle3 (<< 3.6.2-2)
Replaces: idle3 (<< 3.6.2-2)
Description: IDE for Python using Tkinter (default version)
 IDLE is an Integrated Development Environment for Python.
 IDLE is written using Tkinter and therefore quite platform-independent.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.8).

Package: idle3
Architecture: all
Section: oldlibs
Depends: python3 (>= ${binary:Version}), idle (>= ${binary:Version}), ${misc:Depends}
Description: IDE for Python using Tkinter (transitional package)
 IDLE is an Integrated Development Environment for Python.
 .
 This package is a transitional package, you can safely remove it.

Package: python3-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: python3.8-doc (>= 3.8.2-1~), ${misc:Depends}
Suggests: python3 (>= ${binary:Version}), python3-examples
Description: documentation for the high-level object-oriented language Python 3
 This is the official set of documentation for the interactive high-level
 object-oriented language Python 3 (v3.8). All documents are provided
 in HTML format, some in info format. The package consists of nine documents:
 .
   * Tutorial
   * Python Library Reference
   * Macintosh Module Reference
   * Python Language Reference
   * Extending and Embedding Python
   * Python/C API Reference
   * Installing Python Modules
   * Documenting Python
   * Distributing Python Modules
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.8).

Package: python3-dbg
Architecture: any
Multi-Arch: allowed
Section: debug
Depends: python3 (= ${binary:Version}), libpython3-dbg (= ${binary:Version}), python3.8-dbg (>= 3.8.2-1~), ${misc:Depends}
Description: debug build of the Python 3 Interpreter (version 3.8)
 Python 3 interpreter configured with --pydebug. Dynamically loaded modules
 are searched in /usr/lib/python3.8/lib-dynload/debug first.

Package: libpython3-dbg
Architecture: any
Multi-Arch: same
Section: debug
Depends: libpython3.8-dbg (>= 3.8.2-1~), ${misc:Depends}
Breaks: python3-dbg (<< 3.8.0-1)
Replaces: python3-dbg (<< 3.8.0-1)
Description: debug build of the Python 3 Interpreter (version 3.8)
 Python 3 interpreter configured with --pydebug. Dynamically loaded modules
 are searched in /usr/lib/python3.8/lib-dynload/debug first.

Package: python3-all
Architecture: any
Multi-Arch: allowed
Depends: python3 (= ${binary:Version}),
 ${misc:Depends},
 python3-distutils (>= 3.8.2-1~),
 python3.8,
Description: package depending on all supported Python 3 runtime versions
 The package currently depends on python3.8, in the future,
 dependencies on jython (Python for a JVM) and ironpython (Python for Mono)
 may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 runtimes.

Package: python3-all-dev
Architecture: any
Multi-Arch: allowed
Depends: python3 (= ${binary:Version}),
 libpython3-all-dev (= ${binary:Version}),
 python3-all (= ${binary:Version}),
 python3-dev (= ${binary:Version}),
 ${misc:Depends},
 python3.8-dev,
Description: package depending on all supported Python 3 development packages
 The package currently depends on python3.8-dev, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 development
 packages.

Package: python3-all-dbg
Architecture: any
Multi-Arch: allowed
Section: debug
Depends: python3 (= ${binary:Version}),
 libpython3-all-dbg (= ${binary:Version}),
 python3-all (= ${binary:Version}),
 python3-dbg (= ${binary:Version}),
 ${misc:Depends},
 python3.8-dbg,
Description: package depending on all supported Python 3 debugging packages
 The package currently depends on python3.8-dbg, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 debug packages.

Package: libpython3-all-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libpython3-dev (= ${binary:Version}),
 ${misc:Depends},
 libpython3.8-dev,
Description: package depending on all supported Python 3 development packages
 The package currently depends on libpython3.8-dev, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 development
 packages.

Package: libpython3-all-dbg
Architecture: any
Multi-Arch: same
Section: debug
Depends: libpython3-dbg (= ${binary:Version}),
 ${misc:Depends},
 libpython3.8-dbg,
Description: package depending on all supported Python 3 debugging packages
 The package currently depends on libpython3.8-dbg, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 debug packages.

Package: 2to3
Architecture: all
Multi-Arch: foreign
Depends: python3-lib2to3 (>= 3.8.2-1~), python3 (>= ${binary:Version}), ${misc:Depends}
Breaks: python (<< 2.7.14-4)
Replaces: python (<< 2.7.14-4)
Description: 2to3 binary using python3
 Python, the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 2to3 version (currently v3.8).
