## python3-defaults 3.8.2-0ubuntu2

=== debian/changelog ===
python3-defaults (3.8.2-0ubuntu2) focal; urgency=medium

  [ Dimitri John Ledkov ]
  * Correct command-not-found XB-Cnf headers LP: #1867157:
    - Drop Extra-Commands headers not needed
    - Add XB- to ensure Visible-Pkgname actually is included in the binary
      package heders

  [ Stuart Prescott ]
  * Use unbuffered IO to pass filenames to py_compile (Closes: #953056)
    LP: #1863414

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 13 Mar 2020 12:20:20 +0000
