=== debian/control ===
--- 
+++ 
@@ -32,8 +32,6 @@
  .
  This package is a dependency package, which depends on Debian's default
  Python 3 version (currently v3.8).
-XB-Cnf-Extra-Commands: python
-XB-Cnf-Priority-Bonus: 5
 
 Package: python3-venv
 Architecture: any
@@ -58,7 +56,7 @@
  in the boot process for some basic tasks.
  See /usr/share/doc/python3.8-minimal/README.Debian for a list of the modules
  contained in this package.
-Cnf-Visible-Pkgname: python3
+XB-Cnf-Visible-Pkgname: python3
 
 Package: python3-examples
 Architecture: all
