## python3-defaults 3.8.6-0ubuntu1

=== debian/changelog ===
python3-defaults (3.8.6-0ubuntu1) groovy; urgency=medium

  * Bump version to 3.8.6.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 06 Oct 2020 12:28:18 +0200
