=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: Piotr Ożarowski <piotr@debian.org>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.17.11), python3.8:any (>= 3.8.2-1~),
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.17.11), python3.8:any (>= 3.8.6-1~), python3-gdbm (>= 3.8.6-1~),
   lsb-release,
   python3-minimal:any,
   python3-docutils,
@@ -21,8 +21,8 @@
 Architecture: any
 Multi-Arch: allowed
 Pre-Depends: python3-minimal (= ${binary:Version})
-Depends: python3.8 (>= 3.8.2-1~), libpython3-stdlib (= ${binary:Version}), ${misc:Depends}
-Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= 3.8.2-1~) , python3-venv (>= ${binary:Version})
+Depends: python3.8 (>= 3.8.6-1~), libpython3-stdlib (= ${binary:Version}), ${misc:Depends}
+Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= 3.8.6-1~) , python3-venv (>= ${binary:Version})
 Replaces: python3-minimal (<< 3.1.2-2)
 Provides: python3-profiler
 Description: interactive high-level object-oriented language (default python3 version)
@@ -36,8 +36,8 @@
 Package: python3-venv
 Architecture: any
 Multi-Arch: allowed
-Depends: python3.8-venv (>= 3.8.2-1~), python3 (= ${binary:Version}),
-  python3-distutils (>= 3.8.2-1~), ${misc:Depends}
+Depends: python3.8-venv (>= 3.8.6-1~), python3 (= ${binary:Version}),
+  python3-distutils (>= 3.8.6-1~), ${misc:Depends}
 Description: pyvenv-3 binary for python3 (default python3 version)
  Python, the high-level, interactive object oriented language,
  includes an extensive class library with lots of goodies for
@@ -49,7 +49,7 @@
 Package: python3-minimal
 Architecture: any
 Multi-Arch: allowed
-Pre-Depends: python3.8-minimal (>= 3.8.2-1~)
+Pre-Depends: python3.8-minimal (>= 3.8.6-1~)
 Depends: dpkg (>= 1.13.20), ${misc:Depends}
 Description: minimal subset of the Python language (default python3 version)
  This package contains the interpreter and some essential modules.  It's used
@@ -61,7 +61,7 @@
 Package: python3-examples
 Architecture: all
 Multi-Arch: foreign
-Depends: python3 (>= ${binary:Version}), python3.8-examples (>= 3.8.2-1~), ${misc:Depends}
+Depends: python3 (>= ${binary:Version}), python3.8-examples (>= 3.8.6-1~), ${misc:Depends}
 Description: examples for the Python language (default version)
  Examples, Demos and Tools for Python. These are files included in
  the upstream Python distribution.
@@ -73,7 +73,7 @@
 Architecture: any
 Multi-Arch: allowed
 Depends: python3 (= ${binary:Version}), libpython3-dev (= ${binary:Version}),
-  python3.8-dev (>= 3.8.2-1~), python3-distutils (>= 3.8.2-1~),
+  python3.8-dev (>= 3.8.6-1~), python3-distutils (>= 3.8.6-1~),
   ${misc:Depends}
 Replaces: python3.1 (<< 3.1.2+20100706-3)
 Description: header files and a static library for Python (default)
@@ -88,7 +88,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libpython3.8-dev (>= 3.8.2-1~), ${misc:Depends}
+Depends: libpython3.8-dev (>= 3.8.6-1~), ${misc:Depends}
 Breaks: libpython3.8-dev (<< 3.8.0-2), python3-dev (<< 3.8.0-1)
 Replaces: libpython3.8-dev (<< 3.8.0-2), python3-dev (<< 3.8.0-1)
 Description: header files and a static library for Python (default)
@@ -102,7 +102,7 @@
 Package: libpython3-stdlib
 Architecture: any
 Multi-Arch: same
-Depends: libpython3.8-stdlib (>= 3.8.2-1~), ${misc:Depends}
+Depends: libpython3.8-stdlib (>= 3.8.6-1~), ${misc:Depends}
 Description: interactive high-level object-oriented language (default python3 version)
  Python, the high-level, interactive object oriented language,
  includes an extensive class library with lots of goodies for
@@ -137,7 +137,7 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: python3.8-doc (>= 3.8.2-1~), ${misc:Depends}
+Depends: python3.8-doc (>= 3.8.6-1~), ${misc:Depends}
 Suggests: python3 (>= ${binary:Version}), python3-examples
 Description: documentation for the high-level object-oriented language Python 3
  This is the official set of documentation for the interactive high-level
@@ -161,7 +161,7 @@
 Architecture: any
 Multi-Arch: allowed
 Section: debug
-Depends: python3 (= ${binary:Version}), libpython3-dbg (= ${binary:Version}), python3.8-dbg (>= 3.8.2-1~), ${misc:Depends}
+Depends: python3 (= ${binary:Version}), libpython3-dbg (= ${binary:Version}), python3.8-dbg (>= 3.8.6-1~), ${misc:Depends}
 Description: debug build of the Python 3 Interpreter (version 3.8)
  Python 3 interpreter configured with --pydebug. Dynamically loaded modules
  are searched in /usr/lib/python3.8/lib-dynload/debug first.
@@ -170,7 +170,7 @@
 Architecture: any
 Multi-Arch: same
 Section: debug
-Depends: libpython3.8-dbg (>= 3.8.2-1~), ${misc:Depends}
+Depends: libpython3.8-dbg (>= 3.8.6-1~), ${misc:Depends}
 Breaks: python3-dbg (<< 3.8.0-1)
 Replaces: python3-dbg (<< 3.8.0-1)
 Description: debug build of the Python 3 Interpreter (version 3.8)
@@ -182,7 +182,7 @@
 Multi-Arch: allowed
 Depends: python3 (= ${binary:Version}),
  ${misc:Depends},
- python3-distutils (>= 3.8.2-1~),
+ python3-distutils (>= 3.8.6-1~),
  python3.8,
 Description: package depending on all supported Python 3 runtime versions
  The package currently depends on python3.8, in the future,
@@ -262,7 +262,7 @@
 Package: 2to3
 Architecture: all
 Multi-Arch: foreign
-Depends: python3-lib2to3 (>= 3.8.2-1~), python3 (>= ${binary:Version}), ${misc:Depends}
+Depends: python3-lib2to3 (>= 3.8.6-1~), python3 (>= ${binary:Version}), ${misc:Depends}
 Breaks: python (<< 2.7.14-4)
 Replaces: python (<< 2.7.14-4)
 Description: 2to3 binary using python3
