=== debian/rules ===
--- 
+++ 
@@ -22,13 +22,13 @@
 distrelease  := $(shell lsb_release -cs)
 
 # requiered python3.x version
-UPSTRVER   := 3.8.2-1~
+UPSTRVER   := 3.8.6-1~
 
 # required versions of python3-lib2to3 and python3-distutils
-STDLIBVER   := 3.8.2-1~
+STDLIBVER   := 3.8.6-1~
 
 ifeq (,$(filter $(distrelease),lenny etch squeeze wheezy lucid maverick natty oneiric precise quantal raring saucy trusty))
-  bd_i586 = dpkg-dev (>= 1.17.11), python3.8:any (>= 3.8.2-1~),
+  bd_i586 = dpkg-dev (>= 1.17.11), python3.8:any (>= 3.8.6-1~),
 else
   bd_i586 = dpkg-dev (>= 1.16.1~),
 endif
