## python3-defaults 3.9.2-3

=== debian/changelog ===
python3-defaults (3.9.2-3) unstable; urgency=medium

  * Ship index.html to unbreak links in python-policy.html. Closes: #985313.
  * Don't ship html policy links in the python3.9 doc directory.
    Closes: #984961.

 -- Matthias Klose <doko@debian.org>  Mon, 05 Apr 2021 14:00:48 +0200

python3-defaults (3.9.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 02 Mar 2021 10:55:41 -0800

python3-defaults (3.9.2-1) experimental; urgency=medium

  [ Stefano Rivera ]
  * Update Python Policy to describe python3-full and other interpreter
    packaging changes.
  * Convert Python Policy to Sphinx.
  * Add myself to uploaders.

  [ Matthias Klose ]
  * Bump version to 3.9.2.
  * Make the Sphinx generated documents more compact.
  * Clarify that python3-full must not be used neither as a build dependency
    nor a recommendation.
  * Move the html version of the policy into the python3-dev package.
  * policy: Add paragraphs "Removal of the unversioned packages" and
    "Unversioned python commands.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 02 Mar 2021 10:37:38 -0800

python3-defaults (3.9.2~rc1-1) experimental; urgency=medium

  * Bump version to 3.9.2 rc1.

  [ Stefano Rivera ]
  * Improve package descriptions, describing venv, stdlib, and lib2to3 package
    contents.

  [ Matthias Klose ]
  * Build a python3-full package.
    - Depends on ca-certificates. Closes: #960869.

 -- Matthias Klose <doko@debian.org>  Thu, 18 Feb 2021 12:16:46 +0100

python3-defaults (3.9.1-1) unstable; urgency=medium

  * Bump version to 3.9.1.

 -- Matthias Klose <doko@debian.org>  Wed, 23 Dec 2020 07:05:58 +0100

python3-defaults (3.9.0-4) unstable; urgency=medium

  * Remove 3.8 as a supported Python3 versions.

 -- Matthias Klose <doko@debian.org>  Sun, 06 Dec 2020 11:36:08 +0100

python3-defaults (3.9.0-3) unstable; urgency=medium

  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 18 Nov 2020 21:21:16 +0100

python3-defaults (3.9.0-2) experimental; urgency=medium

  * Relax dependencies on packages built by python3-stdlib-extensions.

 -- Matthias Klose <doko@debian.org>  Mon, 19 Oct 2020 13:35:56 +0200

python3-defaults (3.9.0-1) experimental; urgency=medium

  * Default python3 version to 3.9.
  * Drop the venv binary and man page. Closes: #970764.

 -- Matthias Klose <doko@debian.org>  Thu, 15 Oct 2020 12:10:47 +0200

python3-defaults (3.8.6-1) unstable; urgency=medium

  * Bump version to 3.8.6.
  * Re-introduce the the python3-venv package.

 -- Matthias Klose <doko@debian.org>  Tue, 13 Oct 2020 21:25:54 +0200

python3-defaults (3.8.5-1) experimental; urgency=medium

  [ Scott Kitterman ]
  * Policy: Update wheel policy to allow python3 only wheels for packages
    (like setuptools) that no longer support python2 (Scott Kitterman).

  [ Matthias Klose ]
  * Bump version to 3.8.5.
  * Add 3.9 as a supported Python3 version.
  * Stop building the python3-venv package.
  * Bump debhelper version.

 -- Matthias Klose <doko@debian.org>  Thu, 13 Aug 2020 14:51:41 +0200

python3-defaults (3.8.2-3) unstable; urgency=medium

  * Remove 3.7 as a supported Python3 versions.
  * Fix policy for location for Python 3 local modules. Closes: #884736.
  * Policy: Clarify module package naming (Simon McVittie).
  * Policy: Prefer to document python3-foo in python-foo-doc (Simon McVittie).

 -- Matthias Klose <doko@debian.org>  Tue, 07 Apr 2020 12:43:18 +0200

python3-defaults (3.8.2-2) unstable; urgency=medium

  [ Stuart Prescott ]  
  * py3compile: use unbuffered IO to pass filenames to py_compile
    (closes: 953056)

  [ Piotr Ożarowski ]
  * Byte compile exception patterns (bcep) changes:
    - new "file" type to list just one file
      example: file|-4.0|/usr/share/foo/test.py
    - ignore lines that start with hash char. (to allow comments)
    - tighten checking directory name (partial match was possible before)
    - in "re" type's pattern - check relative paths in addition to full path
      (i.e. no need to include directory path in the pattern)
      example: re|-4.0|/usr/lib/bar|baz/test.*\.py
    - only warn about invalid patterns (instead of failing)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 21 Mar 2020 17:18:03 +0100

python3-defaults (3.8.2-1) unstable; urgency=medium

  * Bump version to 3.8.2.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Mon, 02 Mar 2020 13:40:23 +0100
