=== debian/control ===
Source: python3-defaults
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Uploaders: Piotr Ożarowski <piotr@debian.org>, Stefano Rivera <stefanor@debian.org>
Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.17.11), python3.9:any (>= 3.9.2-0~),
  lsb-release,
  python3-minimal:any,
  python3-docutils,
  python3-sphinx,
  html2text,
Standards-Version: 4.5.1
Homepage: https://www.python.org/
Vcs-Git: https://salsa.debian.org/cpython-team/python3-defaults.git
Vcs-Browser: https://salsa.debian.org/cpython-team/python3-defaults

Package: python3
Architecture: any
Multi-Arch: allowed
Pre-Depends: python3-minimal (= ${binary:Version})
Depends: python3.9 (>= 3.9.2-0~), libpython3-stdlib (= ${binary:Version}), ${misc:Depends}
Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= 3.9.2-0~) , python3-venv (>= ${binary:Version})
Replaces: python3-minimal (<< 3.1.2-2)
Provides: python3-profiler
Description: interactive high-level object-oriented language (default python3 version)
 Python, the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.9).
XB-Cnf-Extra-Commands: python
XB-Cnf-Priority-Bonus: 5

Package: python3-venv
Architecture: any
Multi-Arch: allowed
Depends: python3.9-venv (>= 3.9.2-0~), python3 (= ${binary:Version}),
  python3-distutils (>= 3.9.2-0~), ${misc:Depends}
Description: venv module for python3 (default python3 version)
 This package contains the venv module for the Python language (default python3
 version).
 .
 The venv module provides support for creating lightweight "virtual
 environments" with their own site directories, optionally isolated from system
 site directories. Each virtual environment has its own Python binary (which
 matches the version of the binary that was used to create this environment)
 and can have its own independent set of installed Python packages in its site
 directories.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version's venv module (currently v3.9).

Package: python3-minimal
Architecture: any
Multi-Arch: allowed
Pre-Depends: python3.9-minimal (>= 3.9.2-0~)
Depends: dpkg (>= 1.13.20), ${misc:Depends}
Description: minimal subset of the Python language (default python3 version)
 This package contains the interpreter and some essential modules.  It's used
 in the boot process for some basic tasks.
 See /usr/share/doc/python3.9-minimal/README.Debian for a list of the modules
 contained in this package.
Cnf-Visible-Pkgname: python3

Package: python3-examples
Architecture: all
Multi-Arch: foreign
Depends: python3 (>= ${binary:Version}), python3.9-examples (>= 3.9.2-0~), ${misc:Depends}
Description: examples for the Python language (default version)
 Examples, Demos and Tools for Python. These are files included in
 the upstream Python distribution.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version's examples (currently v3.9).

Package: python3-dev
Architecture: any
Multi-Arch: allowed
Depends: python3 (= ${binary:Version}), libpython3-dev (= ${binary:Version}),
  python3.9-dev (>= 3.9.2-0~), python3-distutils (>= 3.9.2-0~),
  ${misc:Depends}, ${sphinxdoc:Depends}
Breaks: python3 (<< 3.9.2-1~)
Replaces: python3.1 (<< 3.1.2+20100706-3), python3 (<< 3.9.2-1~)
Built-Using: ${sphinxdoc:Built-Using}
Description: header files and a static library for Python (default)
 Header files, a static library and development tools for building
 Python modules, extending the Python interpreter or embedding Python
 in applications.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version's headers (currently v3.9).

Package: libpython3-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libpython3.9-dev (>= 3.9.2-0~), ${misc:Depends}
Breaks: libpython3.8-dev (<< 3.8.0-2), python3-dev (<< 3.8.0-1)
Replaces: libpython3.8-dev (<< 3.8.0-2), python3-dev (<< 3.8.0-1)
Description: header files and a static library for Python (default)
 Header files, a static library and development tools for building
 Python modules, extending the Python interpreter or embedding Python
 in applications.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version's headers (currently v3.9).

Package: libpython3-stdlib
Architecture: any
Multi-Arch: same
Depends: libpython3.9-stdlib (>= 3.9.2-0~), ${misc:Depends}
Description: interactive high-level object-oriented language (default python3 version)
 This package contains the majority of the standard library for the Python
 language (default python3 version).
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version's standard library (currently v3.9).

Package: idle
Architecture: all
Depends: python3 (>= ${binary:Version}), python3-tk, ${misc:Depends}, idle-python3.9
Enhances: python3
Breaks: idle3 (<< 3.6.2-2)
Replaces: idle3 (<< 3.6.2-2)
Description: IDE for Python using Tkinter (default version)
 IDLE is an Integrated Development Environment for Python.
 IDLE is written using Tkinter and therefore quite platform-independent.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version's IDLE (currently v3.9).

Package: idle3
Architecture: all
Section: oldlibs
Depends: python3 (>= ${binary:Version}), idle (>= ${binary:Version}), ${misc:Depends}
Description: IDE for Python using Tkinter (transitional package)
 IDLE is an Integrated Development Environment for Python.
 .
 This package is a transitional package, you can safely remove it.

Package: python3-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: python3.9-doc (>= 3.9.2-0~), ${misc:Depends}
Suggests: python3 (>= ${binary:Version}), python3-examples
Description: documentation for the high-level object-oriented language Python 3
 This is the official set of documentation for the interactive high-level
 object-oriented language Python 3 (v3.9). All documents are provided
 in HTML format, some in info format. The package consists of nine documents:
 .
   * Tutorial
   * Python Library Reference
   * Macintosh Module Reference
   * Python Language Reference
   * Extending and Embedding Python
   * Python/C API Reference
   * Installing Python Modules
   * Documenting Python
   * Distributing Python Modules
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version's documentation (currently v3.9).

Package: python3-dbg
Architecture: any
Multi-Arch: allowed
Section: debug
Depends: python3 (= ${binary:Version}), libpython3-dbg (= ${binary:Version}), python3.9-dbg (>= 3.9.2-0~), ${misc:Depends}
Description: debug build of the Python 3 Interpreter (version 3.9)
 Python 3 interpreter configured with --pydebug. Dynamically loaded modules
 are searched in /usr/lib/python3.9/lib-dynload/debug first.

Package: libpython3-dbg
Architecture: any
Multi-Arch: same
Section: debug
Depends: libpython3.9-dbg (>= 3.9.2-0~), ${misc:Depends}
Breaks: python3-dbg (<< 3.8.0-1)
Replaces: python3-dbg (<< 3.8.0-1)
Description: debug build of the Python 3 Interpreter (version 3.9)
 Python 3 interpreter configured with --pydebug. Dynamically loaded modules
 are searched in /usr/lib/python3.9/lib-dynload/debug first.

Package: python3-all
Architecture: any
Multi-Arch: allowed
Depends: python3 (= ${binary:Version}),
 ${misc:Depends},
 python3-distutils (>= 3.9.2-0~),
 python3.9,
Description: package depending on all supported Python 3 runtime versions
 The package currently depends on python3.9, in the future,
 dependencies on jython (Python for a JVM) and ironpython (Python for Mono)
 may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 runtimes.

Package: python3-all-dev
Architecture: any
Multi-Arch: allowed
Depends: python3 (= ${binary:Version}),
 libpython3-all-dev (= ${binary:Version}),
 python3-all (= ${binary:Version}),
 python3-dev (= ${binary:Version}),
 ${misc:Depends},
 python3.9-dev,
Description: package depending on all supported Python 3 development packages
 The package currently depends on python3.9-dev, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 development
 packages.

Package: python3-all-dbg
Architecture: any
Multi-Arch: allowed
Section: debug
Depends: python3 (= ${binary:Version}),
 libpython3-all-dbg (= ${binary:Version}),
 python3-all (= ${binary:Version}),
 python3-dbg (= ${binary:Version}),
 ${misc:Depends},
 python3.9-dbg,
Description: package depending on all supported Python 3 debugging packages
 The package currently depends on python3.9-dbg, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 debug packages.

Package: libpython3-all-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libpython3-dev (= ${binary:Version}),
 ${misc:Depends},
 libpython3.9-dev,
Description: package depending on all supported Python 3 development packages
 The package currently depends on libpython3.9-dev, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 development
 packages.

Package: libpython3-all-dbg
Architecture: any
Multi-Arch: same
Section: debug
Depends: libpython3-dbg (= ${binary:Version}),
 ${misc:Depends},
 libpython3.9-dbg,
Description: package depending on all supported Python 3 debugging packages
 The package currently depends on libpython3.9-dbg, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 debug packages.

Package: 2to3
Architecture: all
Multi-Arch: foreign
Depends: python3-lib2to3 (>= 3.9.2-0~), python3 (>= ${binary:Version}), ${misc:Depends}
Breaks: python (<< 2.7.14-4)
Replaces: python (<< 2.7.14-4)
Description: 2to3 binary using python3
 2to3 is a Python program that reads Python 2.x source code and applies a
 series of fixers to transform it into valid Python 3.x code. The standard
 library contains a rich set of fixers that will handle almost all code. 2to3
 supporting library lib2to3 is, however, a flexible and generic library, so it
 is possible to write your own fixers for 2to3. lib2to3 could also be adapted
 to custom applications in which Python code needs to be edited automatically.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 2to3 version (currently v3.9).

Package: python3-full
Architecture: any
Multi-Arch: allowed
Depends: python3 (= ${binary:Version}),
  python3.9-full (>= 3.9.2-0~),
  python3-venv (= ${binary:Version}),
  2to3,
  idle,
  python3-distutils,
  python3-gdbm,
  python3-lib2to3,
  python3-tk,
  ${shlibs:Depends}, ${misc:Depends}
Recommends: python3-doc, python3-examples,
Suggests: python3-dev
Description: Default Python Interpreter with complete class library
 Python, the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package is a dependency package, which depends on the full
