=== debian/rules ===
--- 
+++ 
@@ -22,13 +22,13 @@
 distrelease  := $(shell lsb_release -cs)
 
 # requiered python3.x version
-UPSTRVER   := 3.8.6-1~
+UPSTRVER   := 3.9.2-0~
 
 # required versions of python3-lib2to3 and python3-distutils
-STDLIBVER   := 3.8.6-1~
+STDLIBVER   := 3.9.2-0~
 
 ifeq (,$(filter $(distrelease),lenny etch squeeze wheezy lucid maverick natty oneiric precise quantal raring saucy trusty))
-  bd_i586 = dpkg-dev (>= 1.17.11), python3.8:any (>= 3.8.6-1~),
+  bd_i586 = dpkg-dev (>= 1.17.11), python3.9:any (>= 3.9.2-0~),
 else
   bd_i586 = dpkg-dev (>= 1.16.1~),
 endif
@@ -55,13 +55,16 @@
 	touch stamp-build
 
 stamp-doc-policy:
-	xsltproc --nonet --novalid debian/html.xsl debian/python-policy.dbk \
-	    | w3m -o display_charset=UTF-8 -cols 70 -dump -no-graph -T text/html > python-policy.txt
-	mv -f python-policy.txt debian/
-	rm -rf debian/python-policy.html
-	mkdir python-policy.html
-	( cd python-policy.html; xsltproc --nonet --novalid ../debian/chunk.xsl ../debian/python-policy.dbk )
-	mv -f python-policy.html debian/
+	: # compact text version
+	$(MAKE) -C policy singlehtml SPHINXOPTS='-D html_theme_options.nosidebar=true'
+	( \
+	    echo 'The HTML version of the Debian Python Policy can be found in the python3-dev package'; \
+	    html2text -utf8 -style pretty policy/_build/singlehtml/index.html; \
+	) > policy/_build/python-policy.txt
+	rm -rf policy/_build/singlehtml
+
+	: # dh_sphinxdoc cannot handle singlehtml, so build both and then discard html
+	$(MAKE) -C policy html singlehtml
 	touch stamp-doc-policy
 
 stamp-doc: stamp-doc-policy
@@ -109,8 +112,7 @@
 	rm -f stamp-*
 	rm -f patch-stamp*
 
-	rm -f debian/python-policy.txt
-	rm -rf debian/python-policy.html
+	rm -rf policy/_build
 	rm -f faq/*.h2 faq/*.html
 
 	set -e;\
