## python3-defaults 3.9.4-1

=== debian/changelog ===
python3-defaults (3.9.4-1) experimental; urgency=medium

  * Bump version to 3.9.4.

 -- Matthias Klose <doko@debian.org>  Tue, 06 Apr 2021 19:28:56 +0200
